package com.yifu.cloud.plus.v1.yifu.archives.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Author fxj
 * @Date 2022/6/22
 * @value
 * @Version 1.0
 */
@Data
@ColumnWidth(30)
public class EmpCertificateExcelVO implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 员工姓名
	 */
	@NotNull(message = "员工姓名不可为空")
	@ExcelProperty(value ="员工姓名")
	private String empName;
	/**
	 * 员工身份证
	 */
	@NotNull(message = "员工身份证不可为空")
	@ExcelProperty(value ="员工身份证")
	private String empIdcard;

	/**
	 * 资格类型
	 */
	@NotNull(message = "资格类型不可为空")
	@ExcelProperty(value ="资格类型")
	private String qualificationType;

	/**
	 * 资格等级
	 */
	@NotNull(message = "资格等级不可为空")
	@ExcelProperty(value ="资格等级")
	private String qualificationLevel;

	/**
	 * 证书编号
	 */
	@ExcelProperty(value ="证书编号")
	private String certificationNo;

	/**
	 * 获取方式
	 */
	@ExcelProperty(value ="获取方式")
	private String obtainType;

	/**
	 * 评定机构
	 */
	@ExcelProperty(value ="评定机构")
	private String assessmentUnit;

	/**
	 * 申报年度
	 */
	@ExcelProperty(value ="申报年度")
	private String declareYear;

	/**
	 * 是否最高资格0是/1否
	 */
	@NotNull(message = "是否最高资格不可为空")
	@ExcelProperty(value ="是否最高资格")
	private String heightIdentification;
	/**
	 * 备注
	 */
	@ExcelProperty(value ="备注")
	private String remark;
}
