package com.yifu.cloud.plus.v1.yifu.archives.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @Author fxj
 * @Date 2022/6/20
 * @Description
 * @Version 1.0
 */
@Data
public class EmpEducationUpdateExcelVo extends EmpEducationExcelVO{
	/**
	 * @Author fxj
	 * @Description 主键
	**/
	@NotNull(message = "主键不可为空")
	@ExcelProperty(value ="主键")
	private String id;

	/**
	 * 入学时间
	 */
	@NotNull(message = "入学时间不可为空")
	@DateTimeFormat("YYYY-MM-dd")
	@ExcelProperty(value ="入学时间")
	private LocalDateTime entryDate;

	/**
	 * 结业日期
	 */
	@NotNull(message = "毕业时间不可为空")
	@DateTimeFormat("YYYY-MM-dd")
	@ExcelProperty(value ="毕业时间")
	private LocalDateTime gradutionDate;

	/**
	 * 学历名称
	 */
	@NotNull(message = "学历不可为空")
	@ExcelProperty(value ="学历")
	private String educationName;

	/**
	 * 学校名称
	 */
	@NotNull(message = "学校不可为空")
	@ExcelProperty(value ="学校")
	private String school;

	/**
	 * 专业
	 */
	@ExcelProperty(value ="专业")
	private String major;

	/**
	 * 学制类型：四年、三年、五年、二年
	 */
	@ExcelProperty(value ="学制")
	private String educationSystem;

	/**
	 * 最高学历标识0是/1否
	 */
	@NotNull(message = "最高学历标识不可为空")
	@ExcelProperty(value ="最高学历标识")
	private String highIdentification;

	/**
	 * 学历类型：全日制、自考、函授等
	 */
	@ExcelProperty(value ="学历类型")
	private String type;

	/**
	 * 院系名称
	 */
	@ExcelProperty(value ="院系")
	private String collageSystem;

	/**
	 * 证书名称
	 */
	@ExcelProperty(value ="证书名称")
	private String certificationName;
	/**
	 * 备注
	 */
	@ExcelProperty(value ="备注")
	private String remark;
}
